Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.exporter.support.internal.support
Class PublishingServiceFactory

    java.lang.Object
      org.eclipse.gemini.blueprint.service.exporter.support.internal.support.PublishingServiceFactory

All Implemented Interfaces:
  org.osgi.framework.ServiceFactory

    public class PublishingServiceFactory

extends Object
implements org.osgi.framework.ServiceFactory

ServiceFactory used for publishing the service beans. Acts as a a wrapper around special beans (such as ServiceFactory). Additionally, used to create TCCL managing proxies.

Author:
  Costin Leau

Constructor Summary
`PublishingServiceFactory(LazyTargetResolver targetResolver, Class<?>[] classes, boolean createTCCLProxy, ClassLoader classLoader, ClassLoader aopClassLoader, org.osgi.framework.BundleContext bundleContext)` Constructs a new `PublishingServiceFactory` instance.

Method Summary
`Object` | `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration serviceRegistration)`
`void` | `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration serviceRegistration, Object service)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishingServiceFactory

    public PublishingServiceFactory(LazyTargetResolver targetResolver,
                                    Class<?>[] classes,
                                    boolean createTCCLProxy,
                                    ClassLoader classLoader,
                                    ClassLoader aopClassLoader,
                                    org.osgi.framework.BundleContext bundleContext)

  Constructs a new `PublishingServiceFactory` instance. Since its an internal class, this constructor accepts a number of parameters to sacrifice readability for thread-safety.

  Parameters:
    `classes` -
    `target` -
    `beanFactory` -
    `targetBeanName` -
    `createTCCLProxy` -
    `classLoader` -
    `aopClassLoader` -
    `bundleContext` -

Method Detail

### getService

    public Object getService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration serviceRegistration)

  Specified by:
    `getService` in interface `org.osgi.framework.ServiceFactory`

### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration serviceRegistration,
                             Object service)

  Specified by:
    `ungetService` in interface `org.osgi.framework.ServiceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.